//Configure the vertexLayout
//
//Example 1

typedef struct grVertex_type 
{	FxFloat x,y;		// Simple 2d coordinates
	FxFloat z;		// 1.0/Distance
	FxFloat r,g,b;		// Red, Green, Blue all in the range of [0...255]
	FxFloat u,v;		// "Texel coordinates" 
				// (0,0)     = Upperleft of the texture
				// (256,256) = LowerRight of the (square) texture
} grVertex, *grVertex_ptr;


void SetVertexLayout()
{	grVertexLayout(GR_PARAM_XY, 0,  GR_PARAM_ENABLE);
	grVertexLayout(GR_PARAM_Q,  8,  GR_PARAM_ENABLE);
	grVertexLayout(GR_PARAM_RGB,12, GR_PARAM_ENABLE);
	grVertexLayout(GR_PARAM_ST0,24, GR_PARAM_ENABLE); // add this to the vertexlayout

}






//Configure colorcombine unit for simple gouraud shading rendering.
//
//Example 2
grColorCombine(	GR_COMBINE_FUNCTION_LOCAL, 
		GR_COMBINE_FACTOR_NONE,
		GR_COMBINE_LOCAL_ITERATED, 
		GR_COMBINE_OTHER_NONE, FXFALSE);

//Configure colorcombine unit for taxture map rendering.
//
//Example 3
grColorCombine(	GR_COMBINE_FUNCTION_SCALE_OTHER,
		GR_COMBINE_FACTOR_LOCAL,
		GR_COMBINE_LOCAL_CONSTANT,
		GR_COMBINE_OTHER_TEXTURE,FXFALSE);

